@charset "UTF-8";
/* contact description */
.contact__alert {
    padding: 40px 20px;
    margin: 80px auto 0;
    border-radius: 20px;
    background-color: white;
    text-align: center;
    position: relative;
    width: clamp(585px, 40.1%, 900px);
}
.contact__alert::before {
    content: "";
    display: block;
    width: 100px;
    height: 50px;
    background-image: url(../img/subtitle_left.png);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
}
.contact__alert p {
    margin-top: 20px;
}
.contact__alert a,
.form__item--policy a {
    text-decoration: underline 1px var(--primary-blue);
    text-underline-offset: 4px;
    transition: .3s ease;
}
@media (any-hover: hover) {
    .contact__alert a:hover,
    .form__item--policy a:hover {
        color: var(--primary-blue);
        transition: .3s ease;
    }
}
.contact__title {
    font-size: 2rem;
    font-weight: 500;
    text-align: center;
    margin-top: 60px;
}
.contact__notes {
    margin-top: 10px;
    text-align: center;
}
/* contact description 768px */
@media screen and (max-width: 768px) {
    .contact__alert {
        width: var(--contentWidthSP);
        min-width: auto;
        padding: 30px 10px;
        margin: 60px auto 0;
    }
    .contact__alert::before {
        width: 80px;
        height: 40px;
    }
    .contact__alert p {
        margin-top: 10px;
    }
    .contact__title {
        width: var(--contentWidthSP);
        margin: 40px auto 0;
        font-size: 1.8rem;
    }
    .contact__notes {
        width: var(--contentWidthSP);
        margin: 10px auto 0;
        font-size: 1.4rem;
    }
}
/* contact form */
.contact__form {
    width: clamp(585px, 40.1%, 800px);
    margin: 40px auto 100px;
}
.form__item {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    margin-top: 16px;
}
.form__item label,
.form__item legend,
.radio__title {
    width: -webkit-fill-available;
    font-weight: 500;
    letter-spacing: 0.8px;
    display: flex;
    align-items: end;
}
.required {
    color: #FFF;
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 0.6px;
    background-color: var(--primary-blue);
    border-radius: 7px;
    padding: 5px 10px;
    margin-left: 10px;
}
.form__radio {
    width: 50%;
}
.form__radio label {
    display: block;
    width: max-content;
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5; /* 24px */
    letter-spacing: 0.8px;
    margin-top: 8px;
}
.form__radio label:first-of-type {
    margin-top: 0;
}
input[type="radio"] {
    width: 16px;
    height: 16px;
    background-color: white;
    border: 1px solid var(--primary-black);
    border-radius: 50%;
    margin-right: 4px;
    vertical-align: -2.5px;
    position: relative;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none; 
}
input[type="radio"]:checked::after {
    display: block;
    content: "";
    width: 10px;
    height: 10px;
    background-color: var(--primary-blue);
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
input[type="text"],
input[type="email"],
input[type="tel"] {
    display: block;
    width: clamp(360px, 60%, 600px);
    padding: 5px 10px;
    background-color: white;
    border: 1px solid var(--primary-black);
    border-radius: 7px;
    font-size: 1.4rem;
    letter-spacing: 0.7px;
}
input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
.textarea__item textarea:focus {
    outline: solid 1px var(--primary-blue);
}
::placeholder {
    color: #ccc;
}
.textarea__item {
    display: block;
}
.textarea__item textarea {
    display: block;
    width: 100%;
    margin-top: 10px;
    padding: 5px 10px;
    background-color: white;
    border: 1px solid var(--primary-black);
    border-radius: 7px;
    font-size: 1.4rem;
    letter-spacing: 0.7px;
}
.form__item--policy {
    text-align: center;
    margin: 40px auto;
    justify-content: center;
}
.form__item--policy label{
    width: 100%;
    display: block;
    font-weight: 400;
}
input[type="checkbox"] {
    width: 16px;
    height: 16px;
    background-color: white;
    border: var(--primary-black) 1px solid;
    border-radius: 1.5px;
    margin-right: 5px;
    transform: translateY(-2px);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none; 
}
input[type="checkbox"]:checked {
    position: relative;
}
input[type="checkbox"]:checked::after {
    display: inline-block;
    content: "";
    width: 10px;
    height: 5px;
    border-left: 2px solid var(--primary-blue);
    border-bottom: 2px solid var(--primary-blue);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);
}
.wpcf7-form input[type="submit"]  {
    display: block;
    padding: 20px 100px;
    margin: 0 auto;
    background-color: var(--primary-blue);
    border-radius: 20px;
    color: #FFF;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: 4px;
    transition: .3s ease;
}
@media (any-hover: hover) {
    .wpcf7-form input[type="submit"]:hover {
        background-color: var(--primary-40pblue);
        color: var(--primary-navy);
        transition: .3s ease;
    }
}
span.wpcf7-spinner {
    display: none;
}
.wpcf7-not-valid-tip {
    color: #D95B4C;
    font-size: 1.4rem;
    font-family: 'Noto Sans JP', Arial, sans-serif;
}
/* contactform 768px */
@media screen and (max-width: 768px) {
    .contact__form {
        width: var(--contentWidthSP);
        min-width: auto;
        max-width: 585px;
        margin: 40px auto 80px;
    }
    .form__item {
        flex-direction: column;
        align-items: normal;
        margin-top: 16px;
        gap: 8px;
    }
    input[type="text"],
    input[type="email"],
    input[type="tel"] {
        width: 100%;
        margin-left: 0;
    }
    .form__radio label {
        font-size: 1.4rem;
        letter-spacing: 0.7px;
    }
    .form__item--policy {
        margin: 40px auto;
    }
    .form__submit button {
        padding: 16px 60px;
        font-size: 1.8rem;
        letter-spacing: 4px;
    }
}
/* thanks-page */
.contact__thanks{
    width: clamp(585px, 40.1%, 800px);
    margin: 100px auto;
    text-align: center;
}
.contact__thanksbtn {
    margin: 40px auto;
    width: var(--contentWidth);
    text-align: center;
}
.contact__thanks__btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 20px 20px 30px;
    background-color: var(--primary-blue);
    border-radius: 40px;
    gap: 10px;
    transition: .3s ease;
}
.contact__thanks a {
    display: inline-block;
}
.contact__thanks__btn p {
    color: white;
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: 0.9px;
    transition: .3s ease;
}
.contact__thanks__btn img {
    width: 30px;
    height: 30px;
}
.faqbtn__icon--arrow {
    width: 30px;
    height: 30px;
    background-color: var(--primary-black);
    border-radius: 50%;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s ease;
}
@media (any-hover: hover) {
    .contact__thanks a:hover .contact__thanks__btn p {
        color: var(--primary-navy);
        transition: .3s ease;
    }
    .contact__thanks a:hover .contact__thanks__btn {
        background-color: var(--primary-40pblue);
        transition: .3s ease;
    }
    .contact__thanks a:hover .faqbtn__icon--arrow {
        background-color: var(--primary-navy);
        transition: .3s ease;
    }
}
/* contact btn 768px */
@media screen and (max-width: 768px) {
    .contact__thanks {
        margin: 60px auto;
        width: var(--contentWidthSP);
    }
    .contact__thanks > p {
        font-size: 1.6rem;
    }
}
/* contactform 768px */
@media screen and (max-width: 768px) {
    .contact__thanks {
        width: var(--contentWidthSP);
        min-width: auto;
        max-width: 585px;
        margin: 80px auto;
    }
}
@media screen and (max-width: 425px) {
    .form__radio {
        width: 100%;
    }
    .wpcf7-form-control-wrap .wpcf7-radio {
        display: flex;
        flex-direction: column; /* 選択肢を縦並びにする（375px以下で特に有効） */
        gap: 10px;              /* 選択肢ごとの上下の間隔 */
        width: 100%;
    }

    /* ラジオボタンとテキストを包む要素 */
    .wpcf7-form-control-wrap .wpcf7-list-item {
        display: inline-flex;
        align-items: flex-start; 
        margin: 0;
        width: 100%;
        white-space: normal;     
    }
    .form__radio label:first-of-type {
        margin-top: 0;
        display: flex;
        align-items: center;
    }
    /* ラジオボタンのテキスト部分 */
    .wpcf7-form-control-wrap .wpcf7-list-item-label {
        display: inline-block;
        word-break: break-all;   
        line-height: 1.5;       
        padding-left: 5px;       
        flex: 1;
    }
}